From a39272b6a65920aadaec2567cea07ded9884cf83 Mon Sep 17 00:00:00 2001
From: Sergey Radionov <RSATom@gmail.com>
Date: Fri, 11 Nov 2011 16:55:40 +0700
Subject: [PATCH 1/6] ActiveX: removed excess "using namespace std"

---
 activex/objectsafety.cpp           |    2 --
 activex/olecontrol.cpp             |    2 --
 activex/oleinplaceactiveobject.cpp |    2 --
 activex/oleinplaceobject.cpp       |    2 --
 activex/persiststorage.cpp         |    2 --
 activex/provideclassinfo.cpp       |    2 --
 6 files changed, 0 insertions(+), 12 deletions(-)

diff --git a/activex/objectsafety.cpp b/activex/objectsafety.cpp
index 667a15b..5157c1b 100644
--- a/activex/objectsafety.cpp
+++ b/activex/objectsafety.cpp
@@ -30,8 +30,6 @@ const GUID IID_IObjectSafety =
     {0xCB5BDC81,0x93C1,0x11cf,{0x8F,0x20,0x00,0x80,0x5F,0x2C,0xD0,0x64}};
 #endif
 
-using namespace std;
-
 STDMETHODIMP VLCObjectSafety::GetInterfaceSafetyOptions(
     REFIID riid,
     DWORD *pdwSupportedOptions,
diff --git a/activex/olecontrol.cpp b/activex/olecontrol.cpp
index 32e2f1c..797e00c 100644
--- a/activex/olecontrol.cpp
+++ b/activex/olecontrol.cpp
@@ -23,8 +23,6 @@
 #include "plugin.h"
 #include "olecontrol.h"
 
-using namespace std;
-
 STDMETHODIMP VLCOleControl::GetControlInfo(CONTROLINFO *pCI)
 {
     if( NULL == pCI )
diff --git a/activex/oleinplaceactiveobject.cpp b/activex/oleinplaceactiveobject.cpp
index 11b2672..9aeb25b 100644
--- a/activex/oleinplaceactiveobject.cpp
+++ b/activex/oleinplaceactiveobject.cpp
@@ -23,8 +23,6 @@
 #include "plugin.h"
 #include "oleinplaceactiveobject.h"
 
-using namespace std;
-
 STDMETHODIMP VLCOleInPlaceActiveObject::GetWindow(HWND *pHwnd)
 {
     if( NULL == pHwnd )
diff --git a/activex/oleinplaceobject.cpp b/activex/oleinplaceobject.cpp
index 9e118f8..5bc9a8a 100644
--- a/activex/oleinplaceobject.cpp
+++ b/activex/oleinplaceobject.cpp
@@ -25,8 +25,6 @@
 
 #include <docobj.h>
 
-using namespace std;
-
 STDMETHODIMP VLCOleInPlaceObject::GetWindow(HWND *pHwnd)
 {
     if( NULL == pHwnd )
diff --git a/activex/persiststorage.cpp b/activex/persiststorage.cpp
index 5bac301..3b156b4 100644
--- a/activex/persiststorage.cpp
+++ b/activex/persiststorage.cpp
@@ -23,8 +23,6 @@
 #include "plugin.h"
 #include "persiststorage.h"
 
-using namespace std;
-
 STDMETHODIMP VLCPersistStorage::GetClassID(LPCLSID pClsID)
 {
     if( NULL == pClsID )
diff --git a/activex/provideclassinfo.cpp b/activex/provideclassinfo.cpp
index c5b9731..df00cd8 100644
--- a/activex/provideclassinfo.cpp
+++ b/activex/provideclassinfo.cpp
@@ -23,8 +23,6 @@
 #include "plugin.h"
 #include "provideclassinfo.h"
 
-using namespace std;
-
 STDMETHODIMP VLCProvideClassInfo::GetClassInfo(ITypeInfo **ppTI)
 {
     ITypeLib *p_typelib;
-- 
1.7.7.1.msysgit.0

